package com.marvinelsen.cedict.api

import com.marvinelsen.cedict.internal.RegexCedictParser
import java.io.InputStream

interface CedictParser {
    fun parseCedict(inputStream: InputStream): Sequence<CedictEntry>

    companion object {
        val instance: CedictParser by lazy { RegexCedictParser() }
    }
}
